POST api/DeliveryPartnerKyc/saveDeliveryPartnerKycDocument

Request Information

URI Parameters

None.

Body Parameters

clsDeliveryPartnerKycDAL
NameDescriptionTypeAdditional information
DeliveryPartnerKycId

globally unique identifier

None.

DeliveryRegistrationId

globally unique identifier

None.

KycDocumentId

globally unique identifier

None.

FrontImage

string

None.

FrontServerPath

string

None.

BackImage

string

None.

BackServerPath

string

None.

SubmissionDate

date

None.

StatusUpdationDate

date

None.

Remark

string

None.

Status

string

None.

DocumentNumber

string

None.

DocumentName

string

None.

Request Formats

application/json, text/json

Sample:
{
  "deliveryPartnerKycId": "dee16aa2-8692-4caa-8b02-1c1b489492cf",
  "deliveryRegistrationId": "b54459b9-849a-48a8-ad27-de3156060267",
  "kycDocumentId": "b74085b7-0b95-4e50-947b-6e719297b14c",
  "frontImage": "sample string 4",
  "frontServerPath": "sample string 5",
  "backImage": "sample string 6",
  "backServerPath": "sample string 7",
  "submissionDate": "2026-06-10T16:23:10.708445+05:30",
  "statusUpdationDate": "2026-06-10T16:23:10.708445+05:30",
  "remark": "sample string 10",
  "status": "sample string 11",
  "documentNumber": "sample string 12",
  "documentName": "sample string 13"
}

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'clsDeliveryPartnerKycDAL'.

Response Information

Resource Description

HttpResponseMessage
NameDescriptionTypeAdditional information
Version

Version

None.

Content

HttpContent

None.

StatusCode

HttpStatusCode

None.

ReasonPhrase

string

None.

Headers

Collection of Object

None.

RequestMessage

HttpRequestMessage

None.

IsSuccessStatusCode

boolean

None.